#use appimage

Name:           pcsx2
Version:        1.7.5788
Release:        %mkrel 1
Summary:        An Open-Source Playstation 2 Emulator
Group:		Emulators
License:        Freeware
Packager:  	Agent Smith <ruidobranco@yahoo.com.br>
URL:            https://pcsx2.net/
Source1:        %{name}.desktop
Source2:        %{name}.png
#-----------------------------------------------------------------

%description

PCSX2 is a free and open-source PlayStation 2 (PS2) emulator. Its purpose is to emulate the PS2's hardware, using a combination of MIPS CPU Interpreters, Recompilers and a Virtual Machine which manages hardware states and PS2 system memory. This allows you to play PS2 games on your PC, with many additional features and benefits.



%prep

%build

%install

pushd %{_sourcedir}
wget -nc https://github.com/PCSX2/pcsx2/releases/download/v1.7.5788/pcsx2-v1.7.5788-linux-appimage-x64-Qt.AppImage
popd

install -Dm 0755 %{_sourcedir}/pcsx2-v1.7.5788-linux-appimage-x64-Qt.AppImage %{buildroot}/opt/appimage/%{name}-%{version}-linux-x86_64.AppImage
install -Dm 0644 %SOURCE1 %{buildroot}/%{_datadir}/applications/%{name}.desktop
install -Dm 0644 %SOURCE2 %{buildroot}/%{_datadir}/pixmaps/%{name}.png

mkdir -p %{buildroot}/%{_bindir}
ln -fs /opt/appimage/%{name}-%{version}-linux-x86_64.AppImage %{buildroot}/%{_bindir}/%{name}


%post
%update_menus

%postun
%clean_menus

%clean
rm -rf %{buildroot}

%files
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
/opt/appimage/%{name}-%{version}-linux-x86_64.AppImage

%changelog

* Tue May 07 2024 Agent Smith <ruidobranco@yahoo.com.br> - 1.7.5788-1pclos2024
- Updated package from appimage.

* Fri Jan 19 2024 Agent Smith <ruidobranco@yahoo.com.br> - 1.7.5485-1pclos2024
- Updated package from appimage.

* Tue May 09 2023 Agent Smith <ruidobranco@yahoo.com.br> - 1.7.4481-1pclos2023
- Updated package from appimage.

* Thu Apr 06 2023 Agent Smith <ruidobranco@yahoo.com.br> - 1.7.4342-1pclos2023
- Updated package from appimage.

* Thu Jan 05 2023 Agent Smith <ruidobranco@yahoo.com.br> - 1.7.4004-1pclos2023
- Updated package from appimage.
- Dropped WXwidgets toolkit
- Switched to Qt toolkit

* Thu Jan 05 2023 Agent Smith <ruidobranco@yahoo.com.br> - 1.7.3771-1pclos2023
- Updated package from appimage.

* Wed Nov 16 2022 Agent Smith <ruidobranco@yahoo.com.br> - 1.7.3563-1pclos2022
- Updated package from appimage.

* Thu Sep 01 2022 Agent Smith <ruidobranco@yahoo.com.br> - 1.7.3272-1pclos2022
- Updated package from appimage.

* Tue Jul 19 2022 Agent Smith <ruidobranco@yahoo.com.br> - 1.7.3101-1pclos2022
- Updated package from appimage.

* Sat Jul 02 2022 Agent Smith <ruidobranco@yahoo.com.br> - 1.7.3042-1pclos2022
- Created package from appimage.

